@-webkit-keyframes in {
    0% {
        opacity: 0
    }
    100% {
        opacity: 1
    }
}

@keyframes in {
    0% {
        opacity: 0
    }
    100% {
        opacity: 1
    }
}

@-webkit-keyframes in-down {
    0% {
        opacity: 0;
        -webkit-transform: translate3D(0, -5px, 0);
        transform: translate3D(0, -5px, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3D(0, 0, 0);
        transform: translate3D(0, 0, 0)
    }
}

@keyframes in-down {
    0% {
        opacity: 0;
        -webkit-transform: translate3D(0, -5px, 0);
        transform: translate3D(0, -5px, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3D(0, 0, 0);
        transform: translate3D(0, 0, 0)
    }
}

@-webkit-keyframes in-up {
    0% {
        opacity: 0;
        -webkit-transform: translate3D(0, 5px, 0);
        transform: translate3D(0, 5px, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3D(0, 0, 0);
        transform: translate3D(0, 0, 0)
    }
}

@keyframes in-up {
    0% {
        opacity: 0;
        -webkit-transform: translate3D(0, 5px, 0);
        transform: translate3D(0, 5px, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3D(0, 0, 0);
        transform: translate3D(0, 0, 0)
    }
}

@-webkit-keyframes in-scale {
    0% {
        opacity: 0;
        -webkit-transform: scale3D(0.95, 0.95, 1);
        transform: scale3D(0.95, 0.95, 1)
    }
    100% {
        opacity: 1;
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1)
    }
}

@keyframes in-scale {
    0% {
        opacity: 0;
        -webkit-transform: scale3D(0.95, 0.95, 1);
        transform: scale3D(0.95, 0.95, 1)
    }
    100% {
        opacity: 1;
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1)
    }
}

:root {
    --calcite-animation-timing: 300ms
}

.calcite-animate {
    opacity: 0;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-duration: var(--calcite-animation-timing);
    animation-duration: var(--calcite-animation-timing)
}

.calcite-animate__in {
    -webkit-animation-name: in;
    animation-name: in
}

.calcite-animate__in-down {
    -webkit-animation-name: in-down;
    animation-name: in-down
}

.calcite-animate__in-up {
    -webkit-animation-name: in-up;
    animation-name: in-up
}

.calcite-animate__in-scale {
    -webkit-animation-name: in-scale;
    animation-name: in-scale
}

:root {
    --calcite-popper-transition: 150ms ease-in-out
}

:host([hidden]) {
    display: none
}

:root {
    --calcite-code-family: "Consolas", "Andale Mono", "Lucida Console", "Monaco", "monospace";
    --calcite-sans-family: "Avenir Next", "Avenir", "Helvetica Neue", "sans-serif";
    --calcite-font-size--3: 0.625rem;
    --calcite-font-size--2: 0.75rem;
    --calcite-font-size--1: 0.875rem;
    --calcite-font-size-0: 1rem;
    --calcite-font-size-1: 1.125rem;
    --calcite-font-size-2: 1.25rem;
    --calcite-font-size-3: 1.625rem;
    --calcite-font-size-4: 2rem;
    --calcite-font-size-5: 2.5rem;
    --calcite-font-size-6: 3rem;
    --calcite-font-size-7: 3.5rem;
    --calcite-font-size-8: 4rem;
    --calcite-font-weight-light: 300;
    --calcite-font-weight-normal: 400;
    --calcite-font-weight-medium: 500;
    --calcite-font-weight-bold: 600
}

:root {
    --calcite-ui-brand: #007ac2;
    --calcite-ui-brand-hover: #00619B;
    --calcite-ui-brand-press: #004874;
    --calcite-ui-background: #f8f8f8;
    --calcite-ui-foreground-1: #ffffff;
    --calcite-ui-foreground-2: #f3f3f3;
    --calcite-ui-foreground-3: #eaeaea;
    --calcite-ui-text-1: #151515;
    --calcite-ui-text-2: #4a4a4a;
    --calcite-ui-text-3: #6a6a6a;
    --calcite-ui-text-inverse: #FFFFFF;
    --calcite-ui-text-link: #00619b;
    --calcite-ui-border-1: #cacaca;
    --calcite-ui-border-2: #d4d4d4;
    --calcite-ui-border-3: #dfdfdf;
    --calcite-ui-border-input: #949494;
    --calcite-ui-info: #00619b;
    --calcite-ui-success: #35ac46;
    --calcite-ui-warning: #edd317;
    --calcite-ui-danger: #D83020;
    --calcite-ui-danger-hover: #A82B1E;
    --calcite-ui-danger-press: #7C1D13;
    --calcite-theme-name: "light";
    --calcite-ui-foreground-current: #c7eaff;
    --calcite-ui-inverse: #353535;
    --calcite-ui-inverse-hover: #2b2b2b;
    --calcite-ui-inverse-press: #202020;
    --calcite-alert-dismiss-progress-background: rgba(255, 255, 255, 0.8);
    --calcite-button-transparent-hover: rgba(0, 0, 0, 0.05);
    --calcite-button-transparent-press: rgba(0, 0, 0, 0.08);
    --calcite-link-blue-underline: rgba(0, 97, 155, 0.4);
    --calcite-scrim-background: rgba(255, 255, 255, 0.85);
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    --calcite-border-radius: 4px;
    --calcite-ui-opacity-disabled: 0.5;
    --calcite-panel-width-multiplier: 1;
    font-family: var(--calcite-sans-family)
}

.calcite-theme-dark {
    --calcite-ui-brand: #009AF2;
    --calcite-ui-brand-hover: #007AC2;
    --calcite-ui-brand-press: #00619B;
    --calcite-ui-background: #353535;
    --calcite-ui-foreground-1: #2b2b2b;
    --calcite-ui-foreground-2: #202020;
    --calcite-ui-foreground-3: #151515;
    --calcite-ui-text-1: #ffffff;
    --calcite-ui-text-2: #bfbfbf;
    --calcite-ui-text-3: #9f9f9f;
    --calcite-ui-text-inverse: #151515;
    --calcite-ui-text-link: #00A0FF;
    --calcite-ui-border-1: #555555;
    --calcite-ui-border-2: #4a4a4a;
    --calcite-ui-border-3: #404040;
    --calcite-ui-border-input: #757575;
    --calcite-ui-info: #00A0FF;
    --calcite-ui-success: #36DA43;
    --calcite-ui-warning: #FFC900;
    --calcite-ui-danger: #FE583E;
    --calcite-ui-danger-hover: #FF0015;
    --calcite-ui-danger-press: #D90012;
    --calcite-theme-name: "dark";
    --calcite-ui-foreground-current: #214155;
    --calcite-ui-inverse: #f8f8f8;
    --calcite-ui-inverse-hover: #ffffff;
    --calcite-ui-inverse-press: #f3f3f3;
    --calcite-alert-dismiss-progress-background: rgba(43, 43, 43, 0.8);
    --calcite-button-transparent-hover: rgba(255, 255, 255, 0.05);
    --calcite-button-transparent-press: rgba(255, 255, 255, 0.08);
    --calcite-link-blue-underline: rgba(0, 160, 255, 0.4);
    --calcite-scrim-background: rgba(0, 0, 0, 0.85)
}

.calcite-theme-light {
    --calcite-ui-brand: #007ac2;
    --calcite-ui-brand-hover: #00619B;
    --calcite-ui-brand-press: #004874;
    --calcite-ui-background: #f8f8f8;
    --calcite-ui-foreground-1: #ffffff;
    --calcite-ui-foreground-2: #f3f3f3;
    --calcite-ui-foreground-3: #eaeaea;
    --calcite-ui-text-1: #151515;
    --calcite-ui-text-2: #4a4a4a;
    --calcite-ui-text-3: #6a6a6a;
    --calcite-ui-text-inverse: #FFFFFF;
    --calcite-ui-text-link: #00619b;
    --calcite-ui-border-1: #cacaca;
    --calcite-ui-border-2: #d4d4d4;
    --calcite-ui-border-3: #dfdfdf;
    --calcite-ui-border-input: #949494;
    --calcite-ui-info: #00619b;
    --calcite-ui-success: #35ac46;
    --calcite-ui-warning: #edd317;
    --calcite-ui-danger: #D83020;
    --calcite-ui-danger-hover: #A82B1E;
    --calcite-ui-danger-press: #7C1D13;
    --calcite-theme-name: "light";
    --calcite-ui-foreground-current: #c7eaff;
    --calcite-ui-inverse: #353535;
    --calcite-ui-inverse-hover: #2b2b2b;
    --calcite-ui-inverse-press: #202020;
    --calcite-alert-dismiss-progress-background: rgba(255, 255, 255, 0.8);
    --calcite-button-transparent-hover: rgba(0, 0, 0, 0.05);
    --calcite-button-transparent-press: rgba(0, 0, 0, 0.08);
    --calcite-link-blue-underline: rgba(0, 97, 155, 0.4);
    --calcite-scrim-background: rgba(255, 255, 255, 0.85)
}

@media (prefers-color-scheme: dark) {
    .calcite-theme-auto {
        --calcite-ui-brand: #009AF2;
        --calcite-ui-brand-hover: #007AC2;
        --calcite-ui-brand-press: #00619B;
        --calcite-ui-background: #353535;
        --calcite-ui-foreground-1: #2b2b2b;
        --calcite-ui-foreground-2: #202020;
        --calcite-ui-foreground-3: #151515;
        --calcite-ui-text-1: #ffffff;
        --calcite-ui-text-2: #bfbfbf;
        --calcite-ui-text-3: #9f9f9f;
        --calcite-ui-text-inverse: #151515;
        --calcite-ui-text-link: #00A0FF;
        --calcite-ui-border-1: #555555;
        --calcite-ui-border-2: #4a4a4a;
        --calcite-ui-border-3: #404040;
        --calcite-ui-border-input: #757575;
        --calcite-ui-info: #00A0FF;
        --calcite-ui-success: #36DA43;
        --calcite-ui-warning: #FFC900;
        --calcite-ui-danger: #FE583E;
        --calcite-ui-danger-hover: #FF0015;
        --calcite-ui-danger-press: #D90012;
        --calcite-theme-name: "dark";
        --calcite-ui-foreground-current: #214155;
        --calcite-ui-inverse: #f8f8f8;
        --calcite-ui-inverse-hover: #ffffff;
        --calcite-ui-inverse-press: #f3f3f3;
        --calcite-alert-dismiss-progress-background: rgba(43, 43, 43, 0.8);
        --calcite-button-transparent-hover: rgba(255, 255, 255, 0.05);
        --calcite-button-transparent-press: rgba(255, 255, 255, 0.08);
        --calcite-link-blue-underline: rgba(0, 160, 255, 0.4);
        --calcite-scrim-background: rgba(0, 0, 0, 0.85)
    }
}

@media (prefers-color-scheme: light) {
    .calcite-theme-auto {
        --calcite-ui-brand: #007ac2;
        --calcite-ui-brand-hover: #00619B;
        --calcite-ui-brand-press: #004874;
        --calcite-ui-background: #f8f8f8;
        --calcite-ui-foreground-1: #ffffff;
        --calcite-ui-foreground-2: #f3f3f3;
        --calcite-ui-foreground-3: #eaeaea;
        --calcite-ui-text-1: #151515;
        --calcite-ui-text-2: #4a4a4a;
        --calcite-ui-text-3: #6a6a6a;
        --calcite-ui-text-inverse: #FFFFFF;
        --calcite-ui-text-link: #00619b;
        --calcite-ui-border-1: #cacaca;
        --calcite-ui-border-2: #d4d4d4;
        --calcite-ui-border-3: #dfdfdf;
        --calcite-ui-border-input: #949494;
        --calcite-ui-info: #00619b;
        --calcite-ui-success: #35ac46;
        --calcite-ui-warning: #edd317;
        --calcite-ui-danger: #D83020;
        --calcite-ui-danger-hover: #A82B1E;
        --calcite-ui-danger-press: #7C1D13;
        --calcite-theme-name: "light";
        --calcite-ui-foreground-current: #c7eaff;
        --calcite-ui-inverse: #353535;
        --calcite-ui-inverse-hover: #2b2b2b;
        --calcite-ui-inverse-press: #202020;
        --calcite-alert-dismiss-progress-background: rgba(255, 255, 255, 0.8);
        --calcite-button-transparent-hover: rgba(0, 0, 0, 0.05);
        --calcite-button-transparent-press: rgba(0, 0, 0, 0.08);
        --calcite-link-blue-underline: rgba(0, 97, 155, 0.4);
        --calcite-scrim-background: rgba(255, 255, 255, 0.85)
    }
}

.overflow-hidden {
    overflow: hidden
}

[calcite-hydrated-hidden] {
    visibility: hidden;
    pointer-events: none
}